import request from '@/utils/request'

// 查询APS作息时间定义列表
export function listSchedule(query) {
  return request({
    url: '/aps_schedule_definition/schedule/list',
    method: 'get',
    params: query
  })
}

// 查询APS作息时间定义详细
export function getSchedule(sequenceId) {
  return request({
    url: '/aps_schedule_definition/schedule/' + sequenceId,
    method: 'get'
  })
}

// 新增APS作息时间定义
export function addSchedule(data) {
  return request({
    url: '/aps_schedule_definition/schedule',
    method: 'post',
    data: data
  })
}

// 修改APS作息时间定义
export function updateSchedule(data) {
  return request({
    url: '/aps_schedule_definition/schedule',
    method: 'put',
    data: data
  })
}

// 删除APS作息时间定义
export function delSchedule(sequenceId) {
  return request({
    url: '/aps_schedule_definition/schedule/' + sequenceId,
    method: 'delete'
  })
}
